Package org.apache.ignite.internal

## Class ComputeMXBeanImpl

- java.lang.Object
- - org.apache.ignite.internal.ComputeMXBeanImpl

All Implemented Interfaces:
  `ComputeMXBean`

    public class ComputeMXBeanImpl
    extends Object
    implements ComputeMXBean

ComputeMXBean implementation.

### Constructor Summary

Constructors
`ComputeMXBeanImpl​(GridKernalContext ctx)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `cancel​(String sesId)` Kills compute task by the session idenitifier.
`void` `cancel​(IgniteUuid sesId)` Kills compute task by the session idenitifier.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ComputeMXBeanImpl

    public ComputeMXBeanImpl​(GridKernalContext ctx)

Parameters:
  `ctx` - Context.

### Method Detail

#### cancel

    public void cancel​(String sesId)

Kills compute task by the session idenitifier.

Specified by:
  `cancel` in interface `ComputeMXBean`
Parameters:
  `sesId` - Session id.
See Also:
  `ComputeTaskView.sessionId()`, `ComputeJobView.sessionId()`

#### cancel

    public void cancel​(IgniteUuid sesId)

Kills compute task by the session idenitifier.

Parameters:
  `sesId` - Session id.